Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type Synchronize

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Synchronize

Ensures that auto-flush happens correctly and that queries against the derived entity do not return stale data. Mostly used with Subselect.

Author:
  Sharath Reddy

Required Element Summary
`String[]` | `value` Table names

Element Detail

### value

    public abstract String[] value

  Table names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.